Skip to main content
POST
/
2025-04
/
marketing-solutions
/
campaigns
/
search
/2025-04/marketing-solutions/campaigns/search
curl --request POST \
  --url https://api.criteo.com/2025-04/marketing-solutions/campaigns/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {
    "advertiserIds": [
      "<string>"
    ],
    "campaignIds": [
      "<string>"
    ]
  }
}
'
{
  "data": [
    {
      "attributes": {
        "advertiserId": "<string>",
        "budgetAutomation": {
          "automatedBudgetConfiguration": {},
          "enabled": true
        },
        "id": "<string>",
        "name": "<string>",
        "spendLimit": {
          "spendLimitAmount": {
            "value": 123
          }
        }
      },
      "id": "<string>",
      "type": "Campaign"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Filters for searching for campaigns

Request payload for the campaign search endpoint.

filters
object

Filters for searching campaigns.

Multiple filters are combined with an implicit AND operation. Identifiers are string-encoded integers; invalid values are ignored. If no filter is provided (both arrays are null or empty), the search returns all accessible campaigns.

Response

200 - application/json

Returns a list of marketing campaigns' data.

Data model for a list of response resources

data
(object | null)[] | null

Data model for a Resource

errors
object[] | null
read-only
warnings
object[] | null
read-only